<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Reader\Xlsx\Chart</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method_readChart" title="readChart ::">
            <span class="description"></span><pre>readChart</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>                        <li class="methodprivate">
                            <a href="#method_chartDataSeries" title="chartDataSeries ::">
                                <span class="description"></span><pre>chartDataSeries</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_chartDataSeriesValues" title="chartDataSeriesValues ::">
                                <span class="description"></span><pre>chartDataSeriesValues</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_chartDataSeriesValueSet" title="chartDataSeriesValueSet ::">
                                <span class="description"></span><pre>chartDataSeriesValueSet</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_chartDataSeriesValuesMultiLevel" title="chartDataSeriesValuesMultiLevel ::">
                                <span class="description"></span><pre>chartDataSeriesValuesMultiLevel</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_chartLayoutDetails" title="chartLayoutDetails ::">
                                <span class="description"></span><pre>chartLayoutDetails</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_chartTitle" title="chartTitle ::">
                                <span class="description"></span><pre>chartTitle</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_getAttribute" title="getAttribute ::">
                                <span class="description"></span><pre>getAttribute</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_parseRichText" title="parseRichText ::">
                                <span class="description"></span><pre>parseRichText</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_readChartAttributes" title="readChartAttributes ::">
                                <span class="description"></span><pre>readChartAttributes</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_readColor" title="readColor ::">
                                <span class="description"></span><pre>readColor</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_setChartAttributes" title="setChartAttributes ::">
                                <span class="description"></span><pre>setChartAttributes</pre>
                            </a>
                        </li>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>Chart</h1>
                <small style="display: block; text-align: right">                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method_chartDataSeries"></a>
                        <div class="element clickable methodprivate method_chartDataSeries" data-toggle="collapse" data-target=".method_chartDataSeries .collapse">
                            <h2>chartDataSeries</h2>
                            <pre>chartDataSeries( $chartDetail, $namespacesChartMeta, $plotType)</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$chartDetail</h4>
                                                <code></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$namespacesChartMeta</h4>
                                                <code></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$plotType</h4>
                                                <code></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_chartDataSeriesValues"></a>
                        <div class="element clickable methodprivate method_chartDataSeriesValues" data-toggle="collapse" data-target=".method_chartDataSeriesValues .collapse">
                            <h2>chartDataSeriesValues</h2>
                            <pre>chartDataSeriesValues( $seriesValueSet, $dataType = &#039;n&#039;)</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$seriesValueSet</h4>
                                                <code></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$dataType</h4>
                                                <code></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_chartDataSeriesValueSet"></a>
                        <div class="element clickable methodprivate method_chartDataSeriesValueSet" data-toggle="collapse" data-target=".method_chartDataSeriesValueSet .collapse">
                            <h2>chartDataSeriesValueSet</h2>
                            <pre>chartDataSeriesValueSet( $seriesDetail, $namespacesChartMeta, $marker = null)</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$seriesDetail</h4>
                                                <code></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$namespacesChartMeta</h4>
                                                <code></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$marker</h4>
                                                <code></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_chartDataSeriesValuesMultiLevel"></a>
                        <div class="element clickable methodprivate method_chartDataSeriesValuesMultiLevel" data-toggle="collapse" data-target=".method_chartDataSeriesValuesMultiLevel .collapse">
                            <h2>chartDataSeriesValuesMultiLevel</h2>
                            <pre>chartDataSeriesValuesMultiLevel( $seriesValueSet, $dataType = &#039;n&#039;)</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$seriesValueSet</h4>
                                                <code></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$dataType</h4>
                                                <code></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_chartLayoutDetails"></a>
                        <div class="element clickable methodprivate method_chartLayoutDetails" data-toggle="collapse" data-target=".method_chartLayoutDetails .collapse">
                            <h2>chartLayoutDetails</h2>
                            <pre>chartLayoutDetails( $chartDetail, $namespacesChartMeta)</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$chartDetail</h4>
                                                <code></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$namespacesChartMeta</h4>
                                                <code></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_chartTitle"></a>
                        <div class="element clickable methodprivate method_chartTitle" data-toggle="collapse" data-target=".method_chartTitle .collapse">
                            <h2>chartTitle</h2>
                            <pre>chartTitle(\SimpleXMLElement $titleDetails,array $namespacesChartMeta)</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$titleDetails</h4>
                                                <code>\SimpleXMLElement</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$namespacesChartMeta</h4>
                                                <code>array</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_getAttribute"></a>
                        <div class="element clickable methodprivate method_getAttribute" data-toggle="collapse" data-target=".method_getAttribute .collapse">
                            <h2>getAttribute</h2>
                            <pre>getAttribute(\SimpleXMLElement $component,string $name,string $format): null|boolean|float|integer|string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$component</h4>
                                                <code>\SimpleXMLElement</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$name</h4>
                                                <code>string</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$format</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>null|boolean|float|integer|string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_parseRichText"></a>
                        <div class="element clickable methodprivate method_parseRichText" data-toggle="collapse" data-target=".method_parseRichText .collapse">
                            <h2>parseRichText</h2>
                            <pre>parseRichText(\SimpleXMLElement $titleDetailPart)</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$titleDetailPart</h4>
                                                <code>\SimpleXMLElement</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_readChart"></a>
                        <div class="element clickable methodpublic method_readChart" data-toggle="collapse" data-target=".method_readChart .collapse">
                            <h2>readChart</h2>
                            <pre>readChart(\SimpleXMLElement $chartElements,string $chartName): \PhpOffice\PhpSpreadsheet\Chart\Chart</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$chartElements</h4>
                                                <code>\SimpleXMLElement</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$chartName</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Chart.Chart.html">\PhpOffice\PhpSpreadsheet\Chart\Chart</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_readChartAttributes"></a>
                        <div class="element clickable methodprivate method_readChartAttributes" data-toggle="collapse" data-target=".method_readChartAttributes .collapse">
                            <h2>readChartAttributes</h2>
                            <pre>readChartAttributes( $chartDetail)</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$chartDetail</h4>
                                                <code></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_readColor"></a>
                        <div class="element clickable methodprivate method_readColor" data-toggle="collapse" data-target=".method_readColor .collapse">
                            <h2>readColor</h2>
                            <pre>readColor( $color, $background = false)</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$color</h4>
                                                <code></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$background</h4>
                                                <code></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_setChartAttributes"></a>
                        <div class="element clickable methodprivate method_setChartAttributes" data-toggle="collapse" data-target=".method_setChartAttributes .collapse">
                            <h2>setChartAttributes</h2>
                            <pre>setChartAttributes(\PhpOffice\PhpSpreadsheet\Chart\Layout $plotArea,mixed $plotAttributes)</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$plotArea</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Chart.Layout.html">\PhpOffice\PhpSpreadsheet\Chart\Layout</a></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$plotAttributes</h4>
                                                <code>mixed</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Reader\Xlsx\Chart"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Reader.Xlsx.html">Xlsx</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Reader.Xlsx.Chart.html">Chart</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:54 +0000.<br/>
    </footer></body>
</html>
